GWIKI = tip
GWIKIURL = https://bitbucket.org/clarifiednetworks/graphingwiki/get/$(GWIKI).tar.gz
MOIN = 1.8.8
MOINURL = http://static.moinmo.in/files/moin-$(MOIN).tar.gz
OUT = /srv/puppet/files/common/packages

all:     tarball
tarball: graphingwiki.tar.gz moin.tar.gz
.PHONY:  graphingwiki.tar.gz moin.tar.gz

graphingwiki.tar.gz:
	@umask 022 && mkdir -p $(OUT)/graphingwiki && \
	cd $(OUT)/graphingwiki && wget -nv -N $(GWIKIURL) && \
	cd $(OUT) && ln -fs graphingwiki/$(GWIKI).tar.gz graphingwiki.tar.gz

moin.tar.gz:
	@umask 022 && mkdir -p $(OUT)/moin && \
	cd $(OUT)/moin && wget -nv -N $(MOINURL) && \
	cd $(OUT) && ln -fs moin/moin-$(MOIN).tar.gz moin.tar.gz
